Skip to content

Add IP List

This endpoint adds IP List.

POST https://adelion.com/api/iplist/add
ParameterTypeDescriptionRequirement
FilefileFile for upload.required

To add IP List, send multipart/form-data with fields described in Parameters section.

Success JSON
{
"Status": "Ok",
"IpList": {
"Id": 1,
"TeamId": 1,
"Name": "iplist_1_20201231120030",
"VastTags": [],
"RtbEps": [],
"DspRtbEps": [],
"DspPopFeeds": [],
"IpCount": 16063,
"IpRangesCount": 9895,
"Global": 0,
"Status": 0,
"StatusString": "Active"
}
}
Error JSON
{
"Status": "Error",
"Error": "[error description]"
}
CodeStatusMeaning
400Bad RequestYou sent a body that isn’t JSON.
401UnauthorizedYour access token is invalid.
406Not AcceptableOne or more JSON values are missing or malformed, or the requested object was not found.
500Internal Server ErrorThe server encountered a problem. Try again later.